@import "mixins";
@import "variables";

//@include tablet{
//
//}
//@include laptop{
//
//}
//@include desktop{
//
//}


.product {
  &__content {
    text-align: center;
    padding-top: 35px;
    padding-bottom: 70px;
    @include tablet{
      padding-top: 50px;
      padding-bottom: 75px;
    }
    @include laptop{
      padding-top: 48px;
      padding-bottom: 95px;
    }
    @include desktop{
      padding-top: 48px;
      padding-bottom: 70px;
    }
  }

  &__info {
    font-family: $font-Montserrat;
    font-size: 14px;
    font-weight: 400;
    color: #848e97;
  }

  &__text {
    font-size: 26px;
    font-family: $font-Montserrat;
    font-weight: 700;
    color: $main-page-text-color;
    text-transform: uppercase;
    margin-top: 60px;
    line-height: 1.6;
    @include tablet{
      font-size: 42px;
      margin-top: 60px;
      line-height: 1.2;
    }
    @include laptop{
      font-size: 42px;
      margin-top: 75px;
    }
    @include desktop{
      font-size: 54px;
      margin-top: 45px;
    }
  }

  &__description {
    font-family: $font-Lato;
    font-size: 14px;
    margin-top: 8px;
    line-height: 1.45;
    padding: 0 10px;
    @include tablet{
      font-size: 16px;
      margin-top: 38px;
      line-height: 1.6;
      padding: 0 3px;
    }
    @include laptop{
      font-size: 21px;
      margin-top: 12px;
      line-height: 1.6;
    }
    @include desktop{
      font-size: 21px;
      margin-top: 5px;
      line-height: 1.6;
      padding: 0 110px;
    }
  }
}

.github {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding: 0 25px;

  &__item {
    display: flex;
    align-items: center;
    color: black;
    font-family: $font-Montserrat;
    font-size: 12px;
    font-weight: 800;
    border: 1px solid grey;
    border-radius: 4px;
    margin-top: 33px;
    margin-right: 5px;
    @include tablet{
      margin-top: 36px;
      margin-right: 15px;
    }
    @include laptop{
      margin-top: 30px;
      margin-right: 25px;
    }
    @include desktop{
      margin-top: 30px;
      margin-right: 25px;
    }

  }
  &__func {
    display: flex;
    align-items: center;
    background: linear-gradient(to top, #d8d6c5, #ffffff);
    padding: 4px 5px;
  }

  &__count {
    padding: 0 7px;
  }

  &__text {
    margin-left: 3px;
  }
}
